Package com.oracle.truffle.api.nodes

## Class GraphPrintVisitor

- java.lang.Object
- - com.oracle.truffle.api.nodes.GraphPrintVisitor

    public class GraphPrintVisitor
    extends java.lang.Object

Utility class for creating output for the ideal graph visualizer.

### Nested Class Summary

Nested Classes
`static interface` `GraphPrintVisitor.ChildSupplier`
`static interface` `GraphPrintVisitor.CustomGraphPrintHandler`
`static interface` `GraphPrintVisitor.GraphDuplicate`
`class` `GraphPrintVisitor.GraphPrintAdapter`
`static interface` `GraphPrintVisitor.GraphPrintHandler`
`static interface` `GraphPrintVisitor.HiddenField`
`static interface` `GraphPrintVisitor.NullGraphPrintHandler`

### Field Summary

Fields
`static java.lang.String` `GraphVisualizerAddress`
`static int` `GraphVisualizerPort`

### Constructor Summary

Constructors
`GraphPrintVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphPrintVisitor` `beginGraph​(java.lang.String graphName)`
`GraphPrintVisitor` `beginGroup​(java.lang.String groupName)`
`protected void` `connectNodes​(java.lang.Object a, java.lang.Object b, java.lang.String label)`
`protected void` `createElementForNode​(java.lang.Object node)`
`protected org.w3c.dom.Element` `getElementByObject​(java.lang.Object op)`
`void` `printToFile​(java.io.File f)`
`void` `printToNetwork​(boolean ignoreErrors)`
`void` `printToSysout()`
`protected void` `setNodeProperty​(java.lang.Object node, java.lang.String propertyName, java.lang.Object value)`
`java.lang.String` `toString()`
`GraphPrintVisitor` `visit​(java.lang.Object node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### GraphVisualizerAddress

    public static final java.lang.String GraphVisualizerAddress

See Also:
  Constant Field Values

#### GraphVisualizerPort

    public static final int GraphVisualizerPort

See Also:
  Constant Field Values

### Constructor Detail

#### GraphPrintVisitor

    public GraphPrintVisitor()

### Method Detail

#### beginGroup

    public GraphPrintVisitor beginGroup​(java.lang.String groupName)

#### beginGraph

    public GraphPrintVisitor beginGraph​(java.lang.String graphName)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### printToFile

    public void printToFile​(java.io.File f)

#### printToSysout

    public void printToSysout()

#### printToNetwork

    public void printToNetwork​(boolean ignoreErrors)

#### getElementByObject

    protected org.w3c.dom.Element getElementByObject​(java.lang.Object op)

#### createElementForNode

    protected void createElementForNode​(java.lang.Object node)

#### setNodeProperty

    protected void setNodeProperty​(java.lang.Object node,
                                   java.lang.String propertyName,
                                   java.lang.Object value)

#### connectNodes

    protected void connectNodes​(java.lang.Object a,
                                java.lang.Object b,
                                java.lang.String label)

#### visit

    public GraphPrintVisitor visit​(java.lang.Object node)